Loading...
Searching...
No Matches
fastjet::JadePlugin Class Reference
Plugins for non-native jet definitions

Implementation of the e+e- Jade algorithm (plugin for fastjet v2.4 upwards). More...

`#include <fastjet/JadePlugin.hh>`

Inheritance diagram for fastjet::JadePlugin:
[legend]
Collaboration diagram for fastjet::JadePlugin:
[legend]

## Public Types

enum | Strategy { strategy_NNH = 0 , strategy_NNFJN2Plain = 1 }
| enum that contains the two clustering strategy options; for higher multiplicities, strategy_NNFJN2Plain is about a factor of two faster. More...

## Public Member Functions

| JadePlugin (Strategy strategy=strategy_NNFJN2Plain)
| Main constructor for the Jade Plugin class.
| JadePlugin (const JadePlugin &plugin)
| copy constructor
virtual std::string | description () const
| return a textual description of the jet-definition implemented in this plugin
virtual void | run_clustering (ClusterSequence &) const
| given a ClusterSequence that has been filled up with initial particles, the following function should fill up the rest of the ClusterSequence, using the following member functions of ClusterSequence:
virtual double | R () const
| the plugin mechanism's standard way of accessing the jet radius.
virtual bool | exclusive_sequence_meaningful () const
| avoid the warning whenever the user requests "exclusive" jets from the cluster sequence
Public Member Functions inherited from fastjet::JetDefinition::Plugin
virtual bool | supports_ghosted_passive_areas () const
| return true if there is specific support for the measurement of passive areas, in the sense that areas determined from all particles below the ghost separation scale will be a passive area.
virtual void | set_ghost_separation_scale (double scale) const
| set the ghost separation scale for passive area determinations in future runs (strictly speaking that makes the routine a non const, so related internal info must be stored as a mutable)
virtual double | ghost_separation_scale () const
virtual bool | is_spherical () const
| returns true if the plugin implements an algorithm intended for use on a spherical geometry (e.g.
virtual | ~Plugin ()
| a destructor to be replaced if necessary in derived classes...

## Detailed Description

Implementation of the e+e- Jade algorithm (plugin for fastjet v2.4 upwards).

JadePlugin is a plugin for fastjet (v2.4 upwards) It implements the JADE algorithm, which is an e+e- sequential recombination algorithm with interparticle distance

dij = 2 E_i E_j (1 - cos theta_ij)

or equivalently

yij = dij/E_{vis}^2

This corresponds to the distance measured used in

"Experimental Investigation of the Energy Dependence of the Strong Coupling Strength." JADE Collaboration (S. Bethke et al.) Phys.Lett.B213:235,1988

The JADE article carries out particle recombinations in the E-scheme (4-vector recombination), which is the default procedure for this plugin.

NOTE: other widely used schemes include E0, P, P0; however they also involve modifications to the distance measure. Be sure of what you're doing before running a JADE type algorithm.

To access the jets with a given ycut value (clustering stops once all yij > ycut), use

vector<PseudoJet> jets = cluster_sequence.exclusive_jets_ycut(ycut);

and related routines.

Definition at line 77 of file JadePlugin.hh.

## Member Enumeration Documentation

## Strategy

enum fastjet::JadePlugin::Strategy

enum that contains the two clustering strategy options; for higher multiplicities, strategy_NNFJN2Plain is about a factor of two faster.

Definition at line 82 of file JadePlugin.hh.

## Constructor & Destructor Documentation

## JadePlugin() [1/2]

fastjet::JadePlugin::JadePlugin | ( | Strategy | strategy = strategy_NNFJN2Plain | ) |

inline

Main constructor for the Jade Plugin class.

Definition at line 85 of file JadePlugin.hh.

## JadePlugin() [2/2]

fastjet::JadePlugin::JadePlugin | ( | const JadePlugin & | plugin | ) |

inline

copy constructor

Definition at line 88 of file JadePlugin.hh.

## Member Function Documentation

## description()

string fastjet::JadePlugin::description | ( |  | ) | const

virtual

return a textual description of the jet-definition implemented in this plugin

Implements fastjet::JetDefinition::Plugin.

Definition at line 124 of file JadePlugin.cc.

## run_clustering()

void fastjet::JadePlugin::run_clustering | ( | ClusterSequence & |  | ) | const

virtual

given a ClusterSequence that has been filled up with initial particles, the following function should fill up the rest of the ClusterSequence, using the following member functions of ClusterSequence:

- plugin_do_ij_recombination(...)
- plugin_do_iB_recombination(...)

Implements fastjet::JetDefinition::Plugin.

Definition at line 210 of file JadePlugin.cc.

## R()

virtual double fastjet::JadePlugin::R | ( |  | ) | const

inline virtual

the plugin mechanism's standard way of accessing the jet radius.

This must be set to return something sensible, even if R does not make sense for this algorithm!

Implements fastjet::JetDefinition::Plugin.

Definition at line 99 of file JadePlugin.hh.

## exclusive_sequence_meaningful()

virtual bool fastjet::JadePlugin::exclusive_sequence_meaningful | ( |  | ) | const

inline virtual

avoid the warning whenever the user requests "exclusive" jets from the cluster sequence

Reimplemented from fastjet::JetDefinition::Plugin.

Definition at line 103 of file JadePlugin.hh.

The documentation for this class was generated from the following files:

- plugins/Jade/fastjet/JadePlugin.hh
- plugins/Jade/JadePlugin.cc